Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::replace_base_fn Struct Reference
Inheritance diagram for ranges::views::replace_base_fn:

## Public Member Functions
template<typename Rng , typename Val1 , typename Val2 >
constexpr replace_view< all_t< Rng >, detail::decay_t< Val1 >, detail::decay_t< Val2 > > | operator() (Rng &&rng, Val1 &&old_value, Val2 &&new_value) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng , typename Val1 , typename Val2 >

constexpr replace_view< all_t<Rng>, detail::decay_t<Val1>, detail::decay_t<Val2> > ranges::views::replace_base_fn::operator() | ( | Rng && | rng,
|  | Val1 && | old_value,
|  | Val2 && | new_value
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && same_as< detail::decay_t<unwrap_reference_t<Val1>>, detail::decay_t<unwrap_reference_t<Val2>>> && equality_comparable_with< detail::decay_t<unwrap_reference_t<Val1>>, range_value_t<Rng>> && common_with<detail::decay_t<unwrap_reference_t<Val2 const &>>, range_value_t<Rng>> && common_reference_with<unwrap_reference_t<Val2 const &>, range_reference_t<Rng>> && common_reference_with< unwrap_reference_t<Val2 const &>, range_rvalue_reference_t<Rng>>`